using System;

internal sealed class Delegate380 : MulticastDelegate
{
	public extern double Invoke(object object_0);

	public static double smethod_0(object object_0, Delegate380 delegate380_1)
	{
		return delegate380_1(object_0);
	}

	public extern Delegate380(object object_0, IntPtr intptr_0);

	static Delegate380()
	{
		Class10.smethod_13(typeof(Delegate380).TypeHandle);
	}

	internal static Delegate380 delegate380_0;
}
